Index: tests/org.jboss.tools.maven.ui.bot.test/META-INF/MANIFEST.MF
===================================================================
--- tests/org.jboss.tools.maven.ui.bot.test/META-INF/MANIFEST.MF	(revision 32612)
+++ tests/org.jboss.tools.maven.ui.bot.test/META-INF/MANIFEST.MF	(working copy)
@@ -27,25 +27,17 @@
  org.eclipse.datatools.connectivity.db.generic,
  org.jboss.tools.common,
  org.jboss.tools.tests,
- org.maven.ide.eclipse;bundle-version="0.12.0",
  org.jboss.ide.eclipse.as.core,
- org.maven.ide.eclipse.maven_model_edit;bundle-version="0.12.0",
  org.hamcrest,
  org.eclipse.datatools.enablement.hsqldb,
  org.eclipse.datatools.enablement.hsqldb.dbdefinition,
  org.eclipse.datatools.enablement.hsqldb.ui,
- org.maven.ide.eclipse.archetype_common;bundle-version="0.12.0",
- org.maven.ide.eclipse.dependency_tree;bundle-version="0.12.0",
- org.maven.ide.eclipse.editor;bundle-version="0.12.0",
- org.maven.ide.eclipse.editor.xml;bundle-version="0.12.0",
- org.maven.ide.eclipse.launching;bundle-version="0.12.0",
- org.maven.ide.eclipse.nexus_indexer;bundle-version="0.12.0",
- org.maven.ide.eclipse.pr;bundle-version="0.12.0",
- org.maven.ide.eclipse.refactoring;bundle-version="0.12.0",
  org.eclipse.jst.jee,
  org.eclipse.jst.jee.ejb,
  org.eclipse.jst.jee.ui,
- org.eclipse.jst.jee.web
+ org.eclipse.jst.jee.web,
+ org.eclipse.m2e.lifecyclemapping.defaults;bundle-version="[1.0,1.1)",
+ org.eclipse.m2e.launching;bundle-version="[1.0,1.1)"
 Bundle-ActivationPolicy: lazy
 Bundle-RequiredExecutionEnvironment: J2SE-1.5
 Eclipse-RegisterBuddy: org.apache.log4j
Index: tests/org.jboss.tools.maven.ui.bot.test/src/org/jboss/tools/maven/ui/bot/test/CreateMavenizedSeamProjectTest.java
===================================================================
--- tests/org.jboss.tools.maven.ui.bot.test/src/org/jboss/tools/maven/ui/bot/test/CreateMavenizedSeamProjectTest.java	(revision 32612)
+++ tests/org.jboss.tools.maven.ui.bot.test/src/org/jboss/tools/maven/ui/bot/test/CreateMavenizedSeamProjectTest.java	(working copy)
@@ -21,7 +21,6 @@
 import java.util.List;
 import java.util.Properties;
 
-import org.eclipse.core.resources.IFile;
 import org.eclipse.core.resources.IMarker;
 import org.eclipse.core.resources.IProject;
 import org.eclipse.core.resources.IResource;
@@ -34,6 +33,7 @@
 import org.eclipse.core.runtime.IProgressMonitor;
 import org.eclipse.core.runtime.NullProgressMonitor;
 import org.eclipse.core.runtime.Path;
+import org.eclipse.core.runtime.jobs.Job;
 import org.eclipse.datatools.connectivity.ConnectionProfileConstants;
 import org.eclipse.datatools.connectivity.ConnectionProfileException;
 import org.eclipse.datatools.connectivity.ProfileManager;
@@ -45,12 +45,14 @@
 import org.eclipse.datatools.connectivity.drivers.IPropertySet;
 import org.eclipse.datatools.connectivity.drivers.PropertySetImpl;
 import org.eclipse.datatools.connectivity.drivers.models.TemplateDescriptor;
+import org.eclipse.m2e.core.internal.IMavenConstants;
+import org.eclipse.swt.SWT;
 import org.eclipse.swt.widgets.Display;
+import org.eclipse.swt.widgets.Event;
 import org.eclipse.swt.widgets.Shell;
 import org.eclipse.swtbot.eclipse.finder.SWTWorkbenchBot;
 import org.eclipse.swtbot.eclipse.finder.widgets.SWTBotEditor;
 import org.eclipse.swtbot.eclipse.finder.widgets.SWTBotView;
-import org.eclipse.swtbot.eclipse.finder.widgets.SWTBotViewMenu;
 import org.eclipse.swtbot.swt.finder.SWTBot;
 import org.eclipse.swtbot.swt.finder.exceptions.WidgetNotFoundException;
 import org.eclipse.swtbot.swt.finder.finders.UIThreadRunnable;
@@ -59,6 +61,7 @@
 import org.eclipse.swtbot.swt.finder.results.VoidResult;
 import org.eclipse.swtbot.swt.finder.utils.SWTBotPreferences;
 import org.eclipse.swtbot.swt.finder.widgets.SWTBotMenu;
+import org.eclipse.swtbot.swt.finder.widgets.SWTBotRadio;
 import org.eclipse.swtbot.swt.finder.widgets.SWTBotShell;
 import org.eclipse.swtbot.swt.finder.widgets.SWTBotTree;
 import org.eclipse.swtbot.swt.finder.widgets.SWTBotTreeItem;
@@ -85,7 +88,6 @@
 import org.jboss.tools.seam.core.project.facet.SeamRuntime;
 import org.jboss.tools.seam.core.project.facet.SeamRuntimeManager;
 import org.jboss.tools.seam.core.project.facet.SeamVersion;
-import org.jboss.tools.test.util.JobUtils;
 import org.jboss.tools.test.util.ResourcesUtils;
 import org.junit.After;
 import org.junit.AfterClass;
@@ -93,12 +95,6 @@
 import org.junit.BeforeClass;
 import org.junit.Test;
 import org.junit.runner.RunWith;
-import org.maven.ide.components.pom.Model;
-import org.maven.ide.components.pom.Parent;
-import org.maven.ide.components.pom.util.PomResourceImpl;
-import org.maven.ide.eclipse.MavenPlugin;
-import org.maven.ide.eclipse.core.IMavenConstants;
-import org.maven.ide.eclipse.embedder.MavenModelManager;
 
 /**
  * @author Snjeza
@@ -107,7 +103,7 @@
 @RunWith(SWTBotJunit4ClassRunner.class)
 public class CreateMavenizedSeamProjectTest {
 	
-	protected static final int IDLE_TIME = 60000;
+	protected static final long IDLE_TIME = 20 * 60 * 1000L;
 
 	private static final String CONNECTION_PROFILE_NAME = "DefaultDS";
 
@@ -181,10 +177,11 @@
 		
 		String runtimeType = JBOSS_AS_RUNTIME_ID;
 		String serverType = JBOSS_AS_SERVER_ID;
-		
+		System.out.println("Creating a server from "+asLocation);
 		createJBossServer(new File(asLocation), serverType, runtimeType, JBOSS_AS_SERVER_NAME, JBOSS_AS_RUNTIME_NAME);
 		
 		String seamPath = SEAM_HOME_PROPERTY;
+		System.out.println("Using seam from "+seamPath);
 		createSeamRuntime(SEAM_RUNTIME_NAME, seamPath, SeamVersion.SEAM_2_2);
 		
 		createDriver(asLocation, HSQLDB_DRIVER_LOCATION);
@@ -201,7 +198,7 @@
 		SWTBotPreferences.KEYBOARD_LAYOUT = "EN_US";
 		SWTBotPreferences.TIMEOUT = 1000;
 		SWTBotPreferences.PLAYBACK_DELAY = 5;
-		JobUtils.waitForIdle(60000);
+		waitForIdle();
 		try {
 			SWTBotView view = bot.viewByTitle("Welcome");
 			if (view != null) {
@@ -259,10 +256,10 @@
 		wc.modifyModules(new IModule[] {} , modules, monitor);
 		wc.save(true, monitor);
 		server.publish(IServer.PUBLISH_INCREMENTAL, monitor);
-		JobUtils.waitForIdle(IDLE_TIME);
+		waitForIdle();
 		server.getRuntime().delete();
 		server.delete();
-		JobUtils.waitForIdle(IDLE_TIME);
+		waitForIdle();
 	}
 
 	protected static void switchPerspective(final String pid) {
@@ -310,7 +307,7 @@
 			ResourcesUtils.setBuildAutomatically(buildAutomatically);
 			ValidationFramework.getDefault().suspendAllValidation(false);
 		}
-		JobUtils.waitForIdle(IDLE_TIME);
+		waitForIdle();
 	}
 	
 	protected static void createJBossServer(File asLocation, String serverType, String runtimeType, String name, String runtimeName) throws CoreException {
@@ -457,7 +454,7 @@
 	}
 	
 	public static void createNewSeamWebProjectWizard(String projectName, String deployType) throws Exception {
-		JobUtils.waitForIdle(60000);
+		waitForIdle();
 		bot.menu("File").menu("New").menu("Seam Web Project").click();
 		 
 		SWTBotShell mainShell = bot.shell("New Seam Project");
@@ -488,16 +485,47 @@
 		bot.button("Next >").click();
 		
 		bot.comboBox(0).setSelection(SEAM_RUNTIME_NAME);
-		bot.radio(deployType).click();
+		String otherType = DEPLOY_TYPE_EAR;
+		if (DEPLOY_TYPE_EAR.equals(deployType)) {
+			otherType = DEPLOY_TYPE_WAR;
+		}
+		final SWTBotRadio radio = bot.radio(deployType);
+		final SWTBotRadio otherRadio = bot.radio(otherType);
+		radio.click();
+		Display.getDefault().syncExec(new Runnable() {
+
+			public void run() {
+				radio.widget.setSelection(true);
+				otherRadio.widget.setSelection(false);
+				Event event = new Event();
+				event.time = (int) System.currentTimeMillis();
+				event.widget = radio.widget;
+				event.display = Display.getCurrent();
+				radio.widget.notifyListeners(SWT.Selection, event);
+			}
+		});
+			
 		bot.comboBox(1).setSelection("HSQL");
 		bot.comboBox(2).setSelection(CONNECTION_PROFILE_NAME);
 		bot.button("Finish").click();
 		
-		JobUtils.waitForIdle(60000);
+		waitForIdle();
 		
 	}
 	
 	@Test
+	public void testAsLocation() {
+		String asLocation = JBOSS_AS_HOME;
+		assertTrue("Invalid JBoss AS location:" + asLocation, new File(asLocation).isDirectory());
+	}
+	
+	@Test
+	public void testSeamLocation() {
+		String seamLocation = SEAM_HOME_PROPERTY;
+		assertTrue("Invalid Seam Runtime location:" + seamLocation, new File(seamLocation).isDirectory());
+	}
+	
+	@Test
 	public void testErrors() throws Exception {
 		checkErrors(PROJECT_NAME);
 		checkErrors(EAR_PROJECT_NAME);
@@ -518,7 +546,9 @@
 		for (int i = 0; i < projectMarkers.length; i++) {
 			if (projectMarkers[i].getAttribute(IMarker.SEVERITY,
 					IMarker.SEVERITY_ERROR) == IMarker.SEVERITY_ERROR) {
-				markers.add(projectMarkers[i]);
+				if (!"org.eclipse.m2e.core.maven2Problem.lifecycleMapping".equals(projectMarkers[i].getType())) {
+						markers.add(projectMarkers[i]);
+				}
 			}
 		}
 		assertTrue("The '" + projectName + "' contains errors.", markers.size() == 0);
@@ -552,7 +582,7 @@
 		warProjectItem.select();
 		
 		SWTBotMenu runAs = tree.contextMenu("Run As");
-		runAs.menu("6 Maven build...").click();
+		runAs.menu("5 Maven build...").click();
 
 		SWTBotShell shell = bot.shell("Edit Configuration");
 		shell.activate();
@@ -560,7 +590,7 @@
 		bot.textWithLabel("Goals:").setText("clean package");
 		bot.button("Run").click();
 		
-		JobUtils.waitForIdle(IDLE_TIME);
+		waitForIdle();
 		
 		IProject project = ResourcesPlugin.getWorkspace().getRoot().getProject(PROJECT_NAME_WAR);
 		project.refreshLocal(IResource.DEPTH_INFINITE, new NullProgressMonitor());
@@ -571,6 +601,46 @@
 		
 	}
 	
+	private static void waitForIdle() {
+		long start = System.currentTimeMillis();
+		int delay = 50;
+		while (!Job.getJobManager().isIdle()) {
+			delay(delay);
+			if ((System.currentTimeMillis() - start) > IDLE_TIME) {
+				Job[] jobs = Job.getJobManager().find(null);
+				StringBuffer str = new StringBuffer();
+				for (Job job : jobs) {
+					if (job.getThread() != null) {
+						str.append("\n").append(job.getName()).append(" (")
+								.append(job.getClass()).append(")");
+					}
+				}
+				throw new RuntimeException(
+						"Long running tasks detected:" + str.toString()); //$NON-NLS-1$
+			}
+		}
+	}
+
+	public static void delay(long waitTimeMillis) {
+		Display display = Display.getCurrent();
+		if (display != null) {
+			long endTimeMillis = System.currentTimeMillis() + waitTimeMillis;
+			while (System.currentTimeMillis() < endTimeMillis) {
+				if (!display.readAndDispatch())
+					display.sleep();
+			}
+			display.update();
+		}
+		// Otherwise, perform a simple sleep.
+		else {
+			try {
+				Thread.sleep(waitTimeMillis);
+			} catch (InterruptedException e) {
+				// Ignored.
+			}
+		}
+	}
+	
 	// see https://jira.jboss.org/browse/JBIDE-6767
 	@Test
 	public void testLibraries() throws Exception {
Index: plugins/org.jboss.tools.maven.seam/src/org/jboss/tools/maven/seam/ParentAdder.java
===================================================================
--- plugins/org.jboss.tools.maven.seam/src/org/jboss/tools/maven/seam/ParentAdder.java	(revision 32612)
+++ plugins/org.jboss.tools.maven.seam/src/org/jboss/tools/maven/seam/ParentAdder.java	(working copy)
@@ -1,10 +1,25 @@
+/*************************************************************************************
+ * Copyright (c) 2008-2011 Red Hat, Inc. and others.
+ * All rights reserved. This program and the accompanying materials 
+ * are made available under the terms of the Eclipse Public License v1.0
+ * which accompanies this distribution, and is available at
+ * http://www.eclipse.org/legal/epl-v10.html
+ * 
+ * Contributors:
+ *     JBoss by Red Hat - Initial implementation.
+ ************************************************************************************/
 package org.jboss.tools.maven.seam;
 
-import org.maven.ide.components.pom.Model;
-import org.maven.ide.components.pom.Parent;
-import org.maven.ide.components.pom.PomFactory;
-import org.maven.ide.eclipse.embedder.ProjectUpdater;
+import org.eclipse.m2e.model.edit.pom.Model;
+import org.eclipse.m2e.model.edit.pom.Parent;
+import org.eclipse.m2e.model.edit.pom.PomFactory;
+import org.jboss.tools.maven.core.xpl.ProjectUpdater;
 
+/**
+ * 
+ * @author snjeza
+ *
+ */
 public class ParentAdder extends ProjectUpdater {
 
 	private static final PomFactory POM_FACTORY = PomFactory.eINSTANCE;
